DatagramOutputTarget (LogKit API)
Keywords: org.apache.log.output.DatagramOutputTarget,DatagramOutputTarget class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log.output
Class DatagramOutputTarget

    java.lang.Object
      |
      +--org.apache.log.output.AbstractTarget
            |
            +--org.apache.log.output.AbstractOutputTarget
                  |
                  +--org.apache.log.output.net.DatagramOutputTarget
                        |
                        +--org.apache.log.output.DatagramOutputTarget

All Implemented Interfaces:
  ErrorAware, LogTarget

Deprecated. Use org.apache.log.output.net.DatagramOutputTarget instead

public class DatagramOutputTarget
extends DatagramOutputTarget

A datagram output target. Useful for writing using custom protocols or writing to syslog daemons.

Author:
  Peter Donald

Field Summary

Fields inherited from class org.apache.log.output.AbstractOutputTarget
`m_formatter`

Constructor Summary
`DatagramOutputTarget(InetAddress address, int port)` Deprecated. Create a output target with end point specified by address and port.
`DatagramOutputTarget(InetAddress address, int port, Formatter formatter)` Deprecated. Create a output target with end point specified by address and port.

Methods inherited from class org.apache.log.output.net.DatagramOutputTarget
`close, write`

Methods inherited from class org.apache.log.output.AbstractOutputTarget
`doProcessEvent, getFormatter, open, output, setFormatter`

Methods inherited from class org.apache.log.output.AbstractTarget
`error, getErrorHandler, isOpen, processEvent, setErrorHandler`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DatagramOutputTarget

    public DatagramOutputTarget(InetAddress address,
                                int port,
                                Formatter formatter)
                         throws IOException

  Deprecated.
  Create a output target with end point specified by address and port.

Parameters:
  `address` - the address endpoint
  `port` - the address port
Throws:
  `IOException` - if an error occurs

### DatagramOutputTarget

    public DatagramOutputTarget(InetAddress address,
                                int port)
                         throws IOException

  Deprecated.
  Create a output target with end point specified by address and port.

Parameters:
  `address` - the address endpoint
  `port` - the address port
Throws:
  `IOException` - if an error occurs

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Apache Jakarta Project. All Rights Reserved.